# -*- coding: utf-8 -*-
Summary: A GNU program for formatting C code
Name: indent
Version: 2.2.10
Release: 7%{?dist}
License: GPLv3+
Group: Applications/Text
URL: http://indent.isidore-it.eu/beautify.html
Source: http://indent.isidore-it.eu/%{name}-%{version}.tar.gz
Patch3: indent-2.2.9-explicits.patch
Patch4: indent-2.2.9-cdw.patch
Patch5: indent-2.2.9-lcall.patch
Patch7: indent-2.2.9-man.patch
# Bug 733265, submitted to upstream
# <https://lists.gnu.org/archive/html/bug-indent/2011-08/msg00000.html>
Patch8: indent-2.2.10-Do-not-split-decimal-float-suffix-from-constant.patch
# Bug 784304, submitted to upstream
# <http://lists.gnu.org/archive/html/bug-indent/2012-02/msg00000.html>
Patch9: indent-2.2.10-Return-non-zero-exit-code-on-tests-failure.patch
BuildRequires: gettext texinfo texi2html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description
Indent is a GNU program for beautifying C code, so that it is easier to
read.  Indent can also convert from one C writing style to a different
one.  Indent understands correct C syntax and tries to handle incorrect
C syntax.

Install the indent package if you are developing applications in C and
you want a program to format your code.

%prep
%setup -q
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch7 -p1
%patch8 -p1 -b .float_suffix
%patch9 -p1 -b .exit_code

%build
%configure
# Parallel make doesn't work
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir $RPM_BUILD_ROOT/%{_bindir}/texinfo2man \
	$RPM_BUILD_ROOT/usr/doc/indent/indent.html

%find_lang %name

%check
echo ====================TESTING=========================
make -C regression
echo ====================TESTING END=====================

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/indent.info.gz %{_infodir}/dir --entry="* indent: (indent).				Program to format source code." >/dev/null 2>&1 || :

%preun
if [ "$1" = 0 ]; then
	/sbin/install-info --delete %{_infodir}/indent.info.gz %{_infodir}/dir --entry="* indent: (indent).				Program to format source code." >/dev/null 2>&1 || :
fi

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README
%defattr(-,root,root)
%{_bindir}/indent
%{_mandir}/man1/indent.*
%{_infodir}/indent.info*



%changelog

